Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Interface IcapChunk

All Superinterfaces:
  org.jboss.netty.handler.codec.http.HttpChunk

All Known Subinterfaces:
  IcapChunkTrailer

All Known Implementing Classes:
  DefaultIcapChunk, DefaultIcapChunkTrailer

    public interface IcapChunk

extends org.jboss.netty.handler.codec.http.HttpChunk

This is the main ICAP Chunk. In essence it is a @see `HttpChunk` with the addition of Preview controls and members.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Field Summary

Fields inherited from interface org.jboss.netty.handler.codec.http.HttpChunk
`LAST_CHUNK`

Method Summary
`boolean` | `isEarlyTerminated()` Gets whether this chunk belongs to a early terminated preview message.
`boolean` | `isPreviewChunk()` Gets whether this chunk belongs to a preview message.
`void` | `setEarlyTermination(boolean earlyTermination)` Toggles whether this chunk belongs to a early terminated preview message.
`void` | `setPreviewChunk(boolean preview)` Toggles whether this chunk belongs to a preview message.

Methods inherited from interface org.jboss.netty.handler.codec.http.HttpChunk
`getContent, isLast, setContent`

Method Detail

### setPreviewChunk

    void setPreviewChunk(boolean preview)

  Toggles whether this chunk belongs to a preview message.

  Parameters:
    `preview` - boolean true to indicate it is a preview chunk

### isPreviewChunk

    boolean isPreviewChunk()

  Gets whether this chunk belongs to a preview message.

  Returns:
    boolean true if this chunk is preview.

### setEarlyTermination

    void setEarlyTermination(boolean earlyTermination)

  Toggles whether this chunk belongs to a early terminated preview message.

  Parameters:
    `earlyTermination` - boolean true if the preview message is early terminated.

### isEarlyTerminated

    boolean isEarlyTerminated()

  Gets whether this chunk belongs to a early terminated preview message.

  Returns:
    boolean true if the preview message is early terminated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.